## com.bbn.openmap.layer.rpf
Class RpfProductInfo

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfProductInfo

public class RpfProductInfo
extends java.lang.Object

Contains basic information about the different map and imagery types supported by the RPF format. This information is based on the specification released by NIMA and contains the conventions they have listed in the RPF specification.

Field Summary
`java.lang.String` `abbr` The three-letter common abbreviation for the map type.
`java.lang.String` `dataType` The category of the map type - CADRG/CIB/DTED.
`java.lang.String` `name` A Descriptive name for the map type.
`float` `scale` The float number representation of the map type - 1:XXX .
`java.lang.String` `scaleString` A String scale representation of the map type.
`java.lang.String` `seriesCode` The two-letter code for a particular map type.

Constructor Summary
`RpfProductInfo()`
`RpfProductInfo(java.lang.String sc, java.lang.String a, java.lang.String ss, float s, java.lang.String n, java.lang.String dt)` Create a RpfProductInfo object.

Method Summary
`static RpfProductInfo` `get(java.lang.String seriesCode)` Returns the RpfProductInfo that has the given two-letter series code.
`static java.util.Hashtable` `getCatalog()` Returns the catalog of supported chart types.
`static void` `main(java.lang.String[] argv)` The main function prints out the RPF catalog, describing all the different map types handled by the RPF package.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### seriesCode

    public java.lang.String seriesCode

  The two-letter code for a particular map type.

### abbr

    public java.lang.String abbr

  The three-letter common abbreviation for the map type.

### scaleString

    public java.lang.String scaleString

  A String scale representation of the map type.

### scale

    public float scale

  The float number representation of the map type - 1:XXX .

### name

    public java.lang.String name

  A Descriptive name for the map type.

### dataType

    public java.lang.String dataType

  The category of the map type - CADRG/CIB/DTED.

Constructor Detail

### RpfProductInfo

    public RpfProductInfo()

### RpfProductInfo

    public RpfProductInfo(java.lang.String sc,
                          java.lang.String a,
                          java.lang.String ss,
                          float s,
                          java.lang.String n,
                          java.lang.String dt)

  Create a RpfProductInfo object.

Parameters:
  `sc` - the two-letter series code.
  `a` - the three letter acroynm.
  `ss` - the scale string.
  `s` - the display scale of the map.
  `n` - descriptive name of the map.
  `dt` - data type - CADRG-CIB-DTED.

Method Detail

### toString

    public java.lang.String toString()

### get

    public static RpfProductInfo get(java.lang.String seriesCode)

  Returns the RpfProductInfo that has the given two-letter series code. If the code passed in is not recognized by the catalog, the UNKNOWN RpfProductInfo is returned.

  Parameters:
    `seriesCode` - needs to be the two letter code, in uppercase.

### getCatalog

    public static java.util.Hashtable getCatalog()

  Returns the catalog of supported chart types. If it doesn't exist yet (It's held as a static hashtable) it is created and loaded.

  Returns:
    Hashtable of product information.

### main

    public static void main(java.lang.String[] argv)

  The main function prints out the RPF catalog, describing all the different map types handled by the RPF package.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details